Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.util.apache.avalon.cornerstone.services.scheduler
Interface TimeScheduler

All Known Implementing Classes:
  SimpleTimeScheduler

public interface TimeScheduler

This service provides a way to regularly schedule jobs.

Author:
  Peter Donald

Field Summary
`static java.lang.String` | `ROLE`

Method Summary
`void` | `addTrigger(java.lang.String name, TimeTrigger trigger, Target target)` Schedule a time based trigger.
`void` | `removeTrigger(java.lang.String name)` Remove a scheduled trigger by name.
`void` | `resetTrigger(java.lang.String name)` Force a trigger time to be recalculated.
`void` | `start()`

Field Detail

### ROLE

    public static final java.lang.String ROLE

Method Detail

### addTrigger

    public void addTrigger(java.lang.String name,
                           TimeTrigger trigger,
                           Target target)

  Schedule a time based trigger. Note that if a TimeTrigger already has same name then it is removed.

  Parameters:
    `name` - the name of the trigger
    `trigger` - the trigger
    `target` - the target

### removeTrigger

    public void removeTrigger(java.lang.String name)
                       throws java.util.NoSuchElementException

  Remove a scheduled trigger by name.

  Parameters:
    `name` - the name of the trigger
  Throws:
    `java.util.NoSuchElementException` - if no trigger exists with that name

### resetTrigger

    public void resetTrigger(java.lang.String name)
                      throws java.util.NoSuchElementException

  Force a trigger time to be recalculated.

  Parameters:
    `name` - the name of the trigger
  Throws:
    `java.util.NoSuchElementException` - if no trigger exists with that name

### start

    public void start()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.